{
 "cells": [
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": [
    "def dollared(string):\n",
    "    flag = True\n",
    "    for c in string:\n",
    "        if not c in \"1234567890.+-:[]()\":\n",
    "            flag = False\n",
    "            break\n",
    "    if flag:\n",
    "        string = \"$\" + string + \"$\"\n",
    "    return string\n",
    "\n",
    "\n",
    "with open(\"临时文件/textfile.txt\", \"r\", encoding = \"utf8\") as textfile:\n",
    "    data = textfile.read()\n",
    "\n",
    "data1 = \"\"\n",
    "for c in data:\n",
    "    if 65296 <= ord(c) < 65306:\n",
    "        data1 += str(ord(c)-65296)\n",
    "    else:\n",
    "        data1 += c\n",
    "data = data1\n",
    "data = data.replace(\"．\",\".\").replace(\"：\",\":\")\n",
    "elements = data.split(\"\\n\")\n",
    "elements_per_line = int(elements.pop(-1)) #这里需要修改\n",
    "contents = \"\\\\begin{center}\\n\\\\begin{tabular}{|\"\n",
    "for i in range(elements_per_line):\n",
    "    contents += \"c|\"\n",
    "contents += \"}\\n\"\n",
    "contents += r\"\\hline\"+\"\\n\"\n",
    "col = 1\n",
    "for element in elements:\n",
    "    if col != 1:\n",
    "        contents += \" & \"\n",
    "    contents += dollared(element)\n",
    "    if col == elements_per_line:\n",
    "        contents += r\" \\\\ \\hline\"+\"\\n\"\n",
    "    col += 1\n",
    "    if col > elements_per_line:\n",
    "        col = 1\n",
    "contents += \"\\\\end{tabular}\" + \"\\n\" + \"\\\\end{center}\"\n",
    "\n",
    "with open(\"临时文件/tablefile.txt\",\"w\",encoding = \"utf8\") as f:\n",
    "    f.write(contents)"
   ]
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  },
  {
   "cell_type": "code",
   "execution_count": null,
   "metadata": {},
   "outputs": [],
   "source": []
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3.9.7 ('base')",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.9.7"
  },
  "orig_nbformat": 4,
  "vscode": {
   "interpreter": {
    "hash": "e4cce46d6be9934fbd27f9ca0432556941ea5bdf741d4f4d64c6cd7f8dfa8fba"
   }
  }
 },
 "nbformat": 4,
 "nbformat_minor": 2
}
